Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
rbenv install ruby 1.9.3-p448 on Ubuntu 12.04 LTS
#
# Run as root
# $ bash <(curl -s https://raw.github.com/gist/1631411)
#
# Update, upgrade and install development tools:
apt-get update
apt-get -y upgrade
apt-get -y install build-essential git-core curl \
libssl-dev \
libyaml-dev \
libsqlite3-dev \
libreadline-dev \
zlib1g zlib1g-dev \
libmysqlclient-dev \
libcurl4-openssl-dev \
libxslt-dev libxml2-dev
# Install rbenv
git clone git://github.com/sstephenson/rbenv.git /usr/local/rbenv
# Add rbenv to the path:
echo '# rbenv setup' > /etc/profile.d/rbenv.sh
echo 'export RBENV_ROOT=/usr/local/rbenv' >> /etc/profile.d/rbenv.sh
echo 'export PATH="$RBENV_ROOT/bin:$PATH"' >> /etc/profile.d/rbenv.sh
echo 'eval "$(rbenv init -)"' >> /etc/profile.d/rbenv.sh
chmod +x /etc/profile.d/rbenv.sh
source /etc/profile.d/rbenv.sh
# Install ruby-build:
pushd /tmp
git clone git://github.com/sstephenson/ruby-build.git
cd ruby-build
./install.sh
popd
# Install Ruby 1.9.3-p448:
rbenv install 1.9.3-p448
rbenv global 1.9.3-p448
# Rehash:
rbenv rehash
# Production install gems skipping ri and rdoc
echo "gem: --no-ri --no-rdoc" >> /root/.gemrc
# Restart shell
exec $SHELL
# Install development tools:
sudo apt-get update
sudo apt-get -y install build-essential git-core \
make libc6-dev libssl-dev libssl-dev \
libreadline6-dev zlib1g-dev libyaml-dev
# Install rbenv:
git clone git://github.com/sstephenson/rbenv.git ~/.rbenv
# Add rbenv to the path:
echo 'if [ -d "$HOME/.rbenv" ] ; then' >> .bash_profile
echo ' export PATH="$HOME/.rbenv/bin:$PATH"' >> .bash_profile
echo ' eval "$(rbenv init -)"' >> .bash_profile
echo 'fi' >> .bash_profile
source ~/.bash_profile
# Install ruby-build:
mkdir ~/.rbenv/plugins
pushd ~/.rbenv/plugins
git clone git://github.com/sstephenson/ruby-build.git
popd
# Install Ruby 1.9.3-p448:
rbenv install 1.9.3-p448
rbenv global 1.9.3-p448
# Rehash:
rbenv rehash
@shioyama

This comment has been minimized.

Copy link

shioyama commented Apr 11, 2013

I would add at the end:

gem update --system
gem install bundler
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.